Bug 646553 - can't create OOo stacktrace - Timeout exceeded: 60 second, killing gdb
Summary: can't create OOo stacktrace - Timeout exceeded: 60 second, killing gdb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-25 16:59 UTC by Mads Kiilerich
Modified: 2015-02-01 22:53 UTC (History)
8 users (show)

Fixed In Version: abrt-2.0.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-26 16:20:57 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2010-10-25 16:59:27 UTC
I got a oowriter crash. I can't report it because I get
  Timeout exceeded: 60 second, killing gdb
when I refresh.

OOo is huge, so even though my machine is reasonably fast I think it is ok that it takes so long time to generate the trace.

The 60 seconds seems to be hardcoded. The problem from my POV is that the value is too low and there is apparently no way to tweak that timeout setting.

abrt-1.1.13-2.fc14.i686

Comment 1 Jiri Moskovcak 2010-10-25 17:13:39 UTC
This is fixed in the latest git, the gdb timeout is now configurable and set to 120s by default.

Comment 2 Fedora Update System 2011-03-27 17:37:52 UTC
abrt-2.0.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-1.fc15

Comment 3 Fedora Update System 2011-03-29 20:03:30 UTC
abrt-2.0.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15

Comment 4 Fedora Update System 2011-03-30 02:33:44 UTC
Package abrt-2.0.0-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.0-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-03-30 16:50:04 UTC
abrt-2.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-3.fc15

Comment 6 Fedora Update System 2011-04-04 14:09:57 UTC
abrt-2.0.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-4.fc15

Comment 7 Fedora Update System 2011-04-15 15:11:32 UTC
abrt-2.0.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-5.fc15

Comment 8 Fedora Update System 2011-04-20 13:31:48 UTC
abrt-2.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-1.fc15

Comment 9 Fedora Update System 2011-04-21 16:46:11 UTC
abrt-2.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-2.fc15

Comment 10 Fedora Update System 2011-04-26 16:13:30 UTC
abrt-2.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.